Package be.fgov.ehealth.etee.commons.core.v2

# Class EteeErrorParameterType

java.lang.Object
be.fgov.ehealth.etee.commons.core.v2.EteeErrorParameterType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:10:04+02:00", comments="JAXB RI v4.0.5") public class EteeErrorParameterType extends Object implements Serializable
This type is a key-value pair and is always associated with an error. The key and value may give additional details about the error, the name and value are specific to each error type.

Java class for EteeErrorParameterType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="EteeErrorParameterType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Name" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="Value" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EteeErrorParameterType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  Gets the value of the name property.
  `String`
  `getValue()`
  Gets the value of the value property.
  `void`
  `setName(String value)`
  Sets the value of the name property.
  `void`
  `setValue(String value)`
  Sets the value of the value property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EteeErrorParameterType

    public EteeErrorParameterType()

- ## Method Details

  - ### getName

    public String getName()
    Gets the value of the name property.
    Returns:
      possible object is `String`

  - ### setName

    public void setName(String value)
    Sets the value of the name property.
    Parameters:
      `value` - allowed object is `String`

  - ### getValue

    public String getValue()
    Gets the value of the value property.
    Returns:
      possible object is `String`

  - ### setValue

    public void setValue(String value)
    Sets the value of the value property.
    Parameters:
      `value` - allowed object is `String`